Bug 1100886 - rebase gtk2 to the current 2.24.x release
Summary: rebase gtk2 to the current 2.24.x release
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gtk2
Version: 6.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Marek Kašík
QA Contact: Desktop QE
URL:
Whiteboard:
Keywords: Rebase
Depends On: 1101398 1103734 1139274
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-23 17:33 UTC by Matthias Clasen
Modified: 2014-10-14 07:40 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-10-14 07:40:59 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1554 normal SHIPPED_LIVE gtk2, gdk-pixbuf2, librsvg2, and libwmf bug fix and enhancement update 2014-10-14 01:27:57 UTC
Red Hat Bugzilla 1136833 None None None Never

Internal Trackers: 1136833

Description Matthias Clasen 2014-05-23 17:33:30 UTC
A number of prominent gtk applications (such as chrome) don't build against the 2.20.1 version of gtk2 that is in RHEL6, anymore. 

We are proposing to rebase gtk2 to the current 2.24.x release, 2.24.23.

Comment 6 Matthias Clasen 2014-05-28 13:08:34 UTC
Marek, note that tpopela already has glib rebase packages here:

http://download.eng.brq.redhat.com/scratch/tpopela/webkitgtk_rhel_rebase/

Comment 7 Marek Kašík 2014-05-28 16:46:37 UTC
I've prepared my own set of rebased packages. These are:

glib2-2.28.8-1       (this one removes gsettings as the one in RHEL6)
gdk-pixbuf2-2.24.1-1 (taken from Fedora 16)
gtk2-2.24.23-1

I had to add the gdk-pixbuf2 as a separate package since I haven't found a way how to build it from a single srpm together with gtk2.

It is not finished yet (it mainly needs fine-tuning of obsoletes/provides).

See http://download.eng.brq.redhat.com/scratch/mkasik/gtk2_rhel_rebase/

Comment 16 errata-xmlrpc 2014-10-14 07:40:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1554.html


Note You need to log in before you can comment on or make changes to this bug.